#### D.4.27.14 radical

Procedure from library `primdec.lib` (see primdec_lib).

Usage:
  radical(I[, l]); I ideal, l list (optional)
  Optional parameters in list l (can be entered in any order):
  0, "fullRad" -> full radical is computed (default)
  1, "equiRad" -> equiRadical is computed
  "KL" -> Krick/Logar algorithm is used
  "SL" -> modifications by Laplagne are used (default)
  "facstd" -> uses facstd to first decompose the ideal (default for non homogeneous ideals)
  "noFacstd" -> does not use facstd (default for homogeneous ideals)

Return:
  ideal, the radical of I (or the equiradical if required in the input parameters)

Note:
  A combination of the algorithms of Krick/Logar (with modifications by Laplagne) and Kemper is used. Works also in positive characteristic (Kempers algorithm).

Example:

    LIB "primdec.lib";
    ring  r = 0,(x,y,z),dp;
    poly  p = z2+1;
    poly  q = z3+2;
    ideal i = p*q^2,y-z2;
    ideal pr = radical(i);
    pr;
    ==> pr[1]=z2-y
    ==> pr[2]=y2z+z3+2z2+2

User manual for Singular version 4.4.1, 2025, generated by texi2html.